edu.isi.pegasus.planner.transfer.refiner

## Class Bundle.BundleValue

- java.lang.Object
- - edu.isi.pegasus.planner.transfer.refiner.Bundle.BundleValue

Enclosing class:
  Bundle

    protected class Bundle.BundleValue
    extends java.lang.Object

### Field Summary

Fields
`private java.lang.String` `mDefaultBundleValue` The default bundle value to use.
`private java.lang.String` `mDefaultProfileKey` The Default Pegasus profile key to use for lookup
`private java.lang.String` `mProfileKey` The pegasus profile key to use for lookup

### Constructor Summary

Constructors
Constructor and Description
`BundleValue()` The default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `determine(Implementation implementation, Job job)` Determines the bundle factor for a particular site on the basis of the stage in bundle value associcated with the underlying transfer transformation in the transformation catalog.
`void` `initialize(java.lang.String key, java.lang.String defaultKey, java.lang.String defaultValue)` Initializes the implementation

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mProfileKey

    private java.lang.String mProfileKey

The pegasus profile key to use for lookup

#### mDefaultBundleValue

    private java.lang.String mDefaultBundleValue

The default bundle value to use.

#### mDefaultProfileKey

    private java.lang.String mDefaultProfileKey

The Default Pegasus profile key to use for lookup

### Constructor Detail

#### BundleValue

    public BundleValue()

The default constructor.

### Method Detail

#### initialize

    public void initialize(java.lang.String key,
                           java.lang.String defaultKey,
                           java.lang.String defaultValue)

Initializes the implementation

Parameters:
  `key` - the Pegasus Profile key to be used for lookup of bundle values.
  `defaultKey` - the default Profile Key to be used if key is not found.
  `defaultValue` - the default value to be associated if no key is found.

#### determine

    public int determine(Implementation implementation,
                         Job job)

Determines the bundle factor for a particular site on the basis of the stage in bundle value associcated with the underlying transfer transformation in the transformation catalog. If the key is not found, then the default value is returned. In case of the default value being null the global default is returned. The value is tored internally to ensure that a subsequent call to get(String site) returns the value determined.

Parameters:
  `implementation` - the transfer implementation being used
  `job` - the compute job for which the bundle factor needs to be determined.
Returns:
  the bundle factor.